source: orange/install-scripts/mac/force-fink-daily-build.sh @ 7698:9ae9befbefc6

Revision 7698:9ae9befbefc6, 1.9 KB checked in by mitar, 3 years ago (diff)

Fixing revision comparison in daily build scripts.

  • Property exe set to *
RevLine 
[6310]1#!/bin/bash
2#
3# Should be run as: sudo ./force-fink-daily-build.sh
4#
5# Supplies fink daily build with latest revision so that source archives are also built
6#
7
[7679]8STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6310]9# svn info does not return proper exit status on an error so we check it this way
10[ "$STABLE_REVISION_1" ] || exit 1
[7679]11STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6310]12# svn info does not return proper exit status on an error so we check it this way
13[ "$STABLE_REVISION_2" ] || exit 1
14
[7698]15if [[ $STABLE_REVISION_1 -gt $STABLE_REVISION_2 ]]; then
[6310]16    STABLE_REVISION=$STABLE_REVISION_1
17else
18    STABLE_REVISION=$STABLE_REVISION_2
19fi
20
[7679]21DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6310]22# svn info does not return proper exit status on an error so we check it this way
23[ "$DAILY_REVISION_1" ] || exit 1
[7679]24DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6310]25# svn info does not return proper exit status on an error so we check it this way
26[ "$DAILY_REVISION_2" ] || exit 1
27
[7698]28if [[ $DAILY_REVISION_1 -gt $DAILY_REVISION_2 ]]; then
[6310]29    DAILY_REVISION=$DAILY_REVISION_1
30else
31    DAILY_REVISION=$DAILY_REVISION_2
32fi
33
34defaults write com.apple.desktopservices DSDontWriteNetworkStores true
35
[7697]36/Users/ailabc/mount-dirs.sh
[6310]37
38/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION
39
40# &> /private/tmp/fink-daily-build.log
41#EXIT_VALUE=$?
42#echo "Orange (fink) [$EXIT_VALUE]" > /Volumes/download/buildLogs/osx/fink-daily-build.log
43#cat /private/tmp/fink-daily-build.log >> /Volumes/download/buildLogs/osx/fink-daily-build.log
44#(($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed"
45
46# Zero exit value
47true
Note: See TracBrowser for help on using the repository browser.